## vxl 1.17.0.dfsg

=== core/CMakeLists.txt ===
# vxl/CMakeLists.txt

PROJECT( vxlcore )

doxygen_add_book(core "VXL overview documentation")

doxygen_add_package(core "Core Vision Libraries")
doxygen_add_package(core-L2 "Level-2 Vision Libraries")
doxygen_add_package(core-L2E "Level-2 Vision Libraries (Experimental)")
doxygen_add_package(core-test "Test Framework")

SET(global_sources
 vxl_copyright.h
 vxl_version.h
 vxl_config.h.in
)

INSTALL_NOBASE_HEADER_FILES(/include/vxl/core ${global_sources})

# common test executable
SUBDIRS(testlib)

# Tests that check and output the vxl configuration
IF( BUILD_TESTING )
  SUBDIRS( tests )
ENDIF( BUILD_TESTING )


IF (BUILD_CORE_UTILITIES)
  # POSIX layer
  SUBDIRS(vpl)

  # utilities
  SUBDIRS(vul)

  # "basics" (templates)
  SUBDIRS(vbl)
ENDIF (BUILD_CORE_UTILITIES)


# numerics
IF (BUILD_CORE_NUMERICS)
  SUBDIRS(vnl)
ENDIF (BUILD_CORE_NUMERICS)


# geometry (including computational geometry)
IF (BUILD_CORE_GEOMETRY)
  SUBDIRS(vgl)
ENDIF (BUILD_CORE_GEOMETRY)


IF (BUILD_CORE_IMAGING)
  # image
  SUBDIRS(vil)

  IF (BUILD_CORE_NUMERICS)
    SUBDIRS (vil/algo)
  ENDIF (BUILD_CORE_NUMERICS)

  # Old image library (deprecated)
  SUBDIRS(vil1)
ENDIF (BUILD_CORE_IMAGING)

IF (BUILD_CORE_SERIALISATION)
  # Fast Binary IO
  SUBDIRS(vsl)

  IF (BUILD_CORE_UTILITIES)
    SUBDIRS(vul/io vbl/io)
  ENDIF (BUILD_CORE_UTILITIES)

  IF (BUILD_CORE_NUMERICS)
    SUBDIRS(vnl/io vnl/xio)
  ENDIF (BUILD_CORE_NUMERICS)

  IF (BUILD_CORE_GEOMETRY)
    SUBDIRS(vgl/io vgl/xio)
  ENDIF (BUILD_CORE_GEOMETRY)

  IF (BUILD_CORE_IMAGING)
    SUBDIRS(vil/io)
    # I/O for the ld image library (deprecated):
    SUBDIRS(vil1/io)
  ENDIF (BUILD_CORE_IMAGING)
ENDIF (BUILD_CORE_SERIALISATION)


# coordinate systems
IF (BUILD_CORE_GEOMETRY AND BUILD_CORE_NUMERICS)
  SUBDIRS(vcsl)
  SUBDIRS(vpgl)
ENDIF (BUILD_CORE_GEOMETRY AND BUILD_CORE_NUMERICS)



# probability distributions
IF (BUILD_CORE_PROBABILITY)
  SUBDIRS( vpdl )
ENDIF (BUILD_CORE_PROBABILITY)

IF (BUILD_CORE_ALL)
# multi-platform GUI toolkit
  SUBDIRS(vgui)

  IF(BUILD_EXAMPLES)
    SUBDIRS(examples)
  ENDIF(BUILD_EXAMPLES)
ENDIF (BUILD_CORE_ALL)

# video
SET (CORE_VIDEO_FOUND NO CACHE INTERNAL "VXL core video libraries built")
IF (BUILD_CORE_UTILITIES AND BUILD_CORE_IMAGING)
  OPTION (BUILD_CORE_VIDEO "Build VXL's core video libraries" YES)
  IF (BUILD_CORE_VIDEO)
    SUBDIRS(vidl)
    SET (CORE_VIDEO_FOUND YES CACHE INTERNAL "VXL core video libraries built")
  ENDIF (BUILD_CORE_VIDEO)
ENDIF (BUILD_CORE_UTILITIES AND BUILD_CORE_IMAGING)

=== contrib/prip/CMakeLists.txt ===
# prip/CMakeLists.txt

PROJECT( prip )

SET( PRIP_INCLUDE_DIR ${prip_SOURCE_DIR} CACHE STATIC "PRIP package include files" )
SET( PRIP_INSTALL_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/prip CACHE INTERNAL "PRIP installed include files" )

INCLUDE_DIRECTORIES(${VXLCORE_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${PRIP_INCLUDE_DIR})

# Combinatorial Maps and Topological Maps handling
SUBDIRS( vmap )

# Digital Topology
SUBDIRS( vdtop )

# Combinatorial Pyramids and Topological Pyramids handling
SUBDIRS( vpyr )

=== core/vul/CMakeLists.txt ===
# core/vul/CMakeLists.txt

doxygen_add_library(core/vul
  DEPENDS core/vsl
  PACKAGE core
  DESCRIPTION "Utility Library"
  )

SET(vul_sources
  vul_fwd.h
  vul_whereami.h

  vul_arg.h                   vul_arg.cxx
  vul_awk.h                   vul_awk.cxx
  vul_debug.h                 vul_debug.cxx
  vul_expand_path.h           vul_expand_path.cxx
  vul_file.h                  vul_file.cxx
  vul_file_iterator.h         vul_file_iterator.cxx
  vul_get_timestamp.h         vul_get_timestamp.cxx
  vul_ios_state.h
  vul_printf.h                vul_printf.cxx
  vul_psfile.h                vul_psfile.cxx
  vul_redirector.h            vul_redirector.cxx
  vul_reg_exp.h               vul_reg_exp.cxx
  vul_sequence_filename_map.h vul_sequence_filename_map.cxx
  vul_sprintf.h               vul_sprintf.cxx
  vul_string.h                vul_string.cxx
  vul_temp_filename.h         vul_temp_filename.cxx
  vul_timer.h                 vul_timer.cxx
  vul_timestamp.h             vul_timestamp.cxx
  vul_trace.h                 vul_trace.cxx
  vul_user_info.h             vul_user_info.cxx
)

# Some versions of Solaris (at least 5.8) has a brain-dead mechanism
# for implementing DNS services, where the user of a library that uses
# gethostbyname should link to -lnsl *before* linking to the
# library. This creates a kind of "pre-dependency" that the CMake
# dependency analysis is not equipped to handle. We cope by isolating
# the offending code into its own library vul_network (under Solaris
# only, of course). We can then control the dependencies of vul to
# link nsl before this vul_network.
#
# This workaround also occurs in vil
#
SET( vul_network_sources
  vul_url.h                   vul_url.cxx
)


IF(CMAKE_COMPILER_IS_GNUCXX)
  SET_SOURCE_FILES_PROPERTIES(vul_sequence_filename_map.cxx PROPERTIES COMPILE_FLAGS -O0)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

IF(APPLE)
  ADD_LIBRARY(vul ${vul_sources})
  INSTALL_TARGETS(/lib vul)
ELSE(APPLE)

IF(NOT SOLARIS)
  ADD_LIBRARY(vul ${vul_sources} ${vul_network_sources})
  INSTALL_TARGETS(/lib vul)
ELSE(NOT SOLARIS)
  ADD_LIBRARY(vul ${vul_sources})
  ADD_LIBRARY(vul_network ${vul_network_sources})
  INSTALL_TARGETS(/lib vul vul_network)
ENDIF(NOT SOLARIS)

IF (NOT UNIX)
  TARGET_LINK_LIBRARIES( vul ws2_32 )
ENDIF (NOT UNIX)

IF (SOLARIS)
  TARGET_LINK_LIBRARIES( vul nsl vul_network socket )
ENDIF (SOLARIS)

ENDIF(APPLE)

TARGET_LINK_LIBRARIES( vul vcl )

INSTALL_NOBASE_HEADER_FILES(/include/vxl/core/vul 
  ${vul_sources}
  ${vul_network_sources}
)

IF( BUILD_EXAMPLES )
  SUBDIRS( examples )
ENDIF( BUILD_EXAMPLES )

IF( BUILD_TESTING )
  SUBDIRS(tests)
ENDIF( BUILD_TESTING )

=== v3p/jpeg/CMakeLists.txt ===
# v3p/jpeg/CMakeLists.txt

PROJECT( jpeg C )

INCLUDE( ${VXL_CMAKE_DIR}/FindJPEG.cmake )

IF(NOT VXL_USING_NATIVE_JPEG)

SET( jpeg_sources
  jconfig.h
  jdct.h
  jinclude.h
  jmemsys.h
  jmorecfg.h
  jpegint.h
  jpeglib.h
  jversion.h

  jcapimin.c
  jcapistd.c
  jccoefct.c
  jccolor.c
  jcdctmgr.c
  jchuff.c jchuff.h
  jcinit.c
  jcmainct.c
  jcmarker.c
  jcmaster.c
  jcomapi.c
  jcparam.c
  jcphuff.c
  jcprepct.c
  jcsample.c
  jctrans.c
  jdapimin.c
  jdapistd.c
  jdatadst.c
  jdatasrc.c
  jdcoefct.c
  jdcolor.c
  jddctmgr.c
  jdhuff.c jdhuff.h
  jdinput.c
  jdmainct.c
  jdmarker.c
  jdmaster.c
  jdmerge.c
  jdphuff.c
  jdpostct.c
  jdsample.c
  jdtrans.c
  jerror.c jerror.h
  jfdctflt.c
  jfdctfst.c
  jfdctint.c
  jidctflt.c
  jidctfst.c
  jidctint.c
  jidctred.c
  jquant1.c
  jquant2.c
  jutils.c
  jmemmgr.c
  jmemansi.c
)

ADD_LIBRARY( jpeg ${jpeg_sources} )
INSTALL_TARGETS(/lib jpeg)

ENDIF(NOT VXL_USING_NATIVE_JPEG)

=== contrib/brl/cvg/CMakeLists.txt ===
# cvg vgui demos
INCLUDE( ${VXL_CMAKE_DIR}/UseVGUI.cmake )
INCLUDE_DIRECTORIES( ${GEL_INCLUDE_DIR}/mrc )
INCLUDE_DIRECTORIES( ${BRL_INCLUDE_DIR}/bseg/boxm2 )

IF( HAS_VGUI )

  SET(cvg_view_sources
      cvg_hemisphere_tableau.h    cvg_hemisphere_tableau.cxx )
  AUX_SOURCE_DIRECTORY(Templates cvg_view_sources)

  ADD_LIBRARY(cvg_view ${cvg_view_sources})
  TARGET_LINK_LIBRARIES(cvg_view vnl vnl_algo vbl_io vgui vpgl vgl vil vbl vul vsph)

  IF( BUILD_TESTING )
    SUBDIRS(tests)
  ENDIF( BUILD_TESTING )

  #Create Executables
  ADD_EXECUTABLE( cvg_hemisphere_view cvg_hemisphere_view.cxx )
  TARGET_LINK_LIBRARIES( cvg_hemisphere_view cvg_view vul vgui vil_pro vpgl_pro vsph)

ENDIF( HAS_VGUI )

=== contrib/gel/vifa/CMakeLists.txt ===
# gel/vifa/CMakeLists.txt

doxygen_add_library(contrib/gel/vifa
  DEPENDS contrib/gel/gevd
  PACKAGE contrib/gel
  )

SET(vifa_sources
 vifa_typedefs.h
 vifa_bbox.h
 vifa_gaussian.cxx              vifa_gaussian.h
 vifa_histogram.cxx             vifa_histogram.h
 vifa_image_histogram.cxx       vifa_image_histogram.h
 vifa_incr_var.cxx              vifa_incr_var.h
 vifa_coll_lines_params.cxx     vifa_coll_lines_params.h
 vifa_line_cover.cxx            vifa_line_cover.h
 vifa_group_pgram.cxx           vifa_group_pgram.h
 vifa_group_pgram_params.cxx    vifa_group_pgram_params.h
 vifa_imp_line.h                vifa_imp_line.txx
 vifa_norm_params.cxx           vifa_norm_params.h
 vifa_parallel_params.cxx       vifa_parallel_params.h
 vifa_coll_lines.cxx            vifa_coll_lines.h
 vifa_parallel.cxx              vifa_parallel.h
 vifa_int_face_attr.cxx         vifa_int_face_attr.h
 vifa_int_face_attr_factory.h
 vifa_int_face_attr_common.cxx  vifa_int_face_attr_common.h
 vifa_int_face_attr_common_params.cxx vifa_int_face_attr_common_params.h
 vifa_int_faces_attr.cxx        vifa_int_faces_attr.h
 vifa_int_faces_adj_attr.cxx    vifa_int_faces_adj_attr.h
)
AUX_SOURCE_DIRECTORY(Templates vifa_sources)

ADD_LIBRARY(vifa ${vifa_sources})
INSTALL_TARGETS(/lib vifa)
INSTALL_NOBASE_HEADER_FILES(/include/vxl/contrib/gel/vifa ${vifa_sources})
TARGET_LINK_LIBRARIES(vifa gevd vtol vsol vdgl vnl vgl vbl vul vil vcl)

=== contrib/rpl/rgtl/CMakeLists.txt ===
# Copyright 2006-2009 Brad King, Chuck Stewart
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file rgtl_license_1_0.txt or copy at
#  http://www.boost.org/LICENSE_1_0.txt)

SET(rgtl_sources
  rgtl_compact_tree.hxx                 rgtl_compact_tree.txx
  rgtl_compact_tree_data_fixed.hxx
  rgtl_compact_tree_index.hxx
  rgtl_compact_tree_link.hxx
  rgtl_compact_tree_node_data.hxx
  rgtl_compact_tree_policy.hxx
  rgtl_config.hxx
  rgtl_meta.hxx
  rgtl_object_array.hxx
  rgtl_object_array_points.hxx          rgtl_object_array_points.txx
  rgtl_object_array_triangles_3d.hxx    rgtl_object_array_triangles_3d.cxx
  rgtl_object_closest_polygon_3d.hxx
  rgtl_object_once.hxx                  rgtl_object_once.cxx
  rgtl_octree_cell_bounds.hxx           rgtl_octree_cell_bounds.txx
  rgtl_octree_cell_location.hxx         rgtl_octree_cell_location.txx
  rgtl_octree_data_fixed.hxx            rgtl_octree_data_fixed.txx
  rgtl_octree_dual.hxx
  rgtl_octree_dual_element.hxx
  rgtl_octree_dual_index.hxx
  rgtl_octree_dual_location.hxx
  rgtl_octree_dual_visit.hxx
  rgtl_octree_objects.hxx               rgtl_octree_objects.txx
  rgtl_octree_point_location.hxx        rgtl_octree_point_location.txx
  rgtl_separating_axis.hxx
  rgtl_separating_axis_projection.hxx
  rgtl_static_assert.hxx
  rgtl_tagged_index.hxx
  rgtl_tagged_vector.hxx

  # Serialization
# rgtl_serialize.txt
  rgtl_serialize_access.hxx
  rgtl_serialize_base.hxx
  rgtl_serialize_direction.hxx
  rgtl_serialize_istream.hxx            rgtl_serialize_istream.cxx
  rgtl_serialize_ostream.hxx            rgtl_serialize_ostream.cxx
  rgtl_serialize_split.hxx
  rgtl_serialize_stl_vector.hxx
  rgtl_serialize_vnl_double_3.hxx
  rgtl_serialize_vnl_vector_fixed.hxx

  # Spherical Quad-Tree
  rgtl_sqt_base.hxx                     rgtl_sqt_base.cxx
  rgtl_sqt_cell_bounds.hxx              rgtl_sqt_cell_bounds.txx
  rgtl_sqt_cell_geometry.hxx            rgtl_sqt_cell_geometry.txx
  rgtl_sqt_cell_location.hxx            rgtl_sqt_cell_location.txx
  rgtl_sqt_object_array.hxx
  rgtl_sqt_object_array_triangles_3d.cxx
  rgtl_sqt_object_array_triangles_3d.hxx
  rgtl_sqt_objects.hxx                  rgtl_sqt_objects.txx
  rgtl_sqt_space.hxx                    rgtl_sqt_space.txx

  # Explicit instantiations
  Templates/rgtl_object_array_points+2-.cxx
  Templates/rgtl_object_array_points+3-.cxx
  Templates/rgtl_octree_cell_bounds+1-.cxx
  Templates/rgtl_octree_cell_bounds+2-.cxx
  Templates/rgtl_octree_cell_bounds+3-.cxx
  Templates/rgtl_octree_cell_geometry+2-.cxx
  Templates/rgtl_octree_cell_geometry+3-.cxx
  Templates/rgtl_octree_cell_location+1-.cxx
  Templates/rgtl_octree_cell_location+2-.cxx
  Templates/rgtl_octree_cell_location+3-.cxx
  Templates/rgtl_octree_objects+2-.cxx
  Templates/rgtl_octree_objects+3-.cxx
  Templates/rgtl_octree_point_location+2-.cxx
  Templates/rgtl_octree_point_location+3-.cxx
  Templates/rgtl_sqt_cell_bounds+2-.cxx
  Templates/rgtl_sqt_cell_bounds+3-.cxx
  Templates/rgtl_sqt_cell_geometry+2._-.cxx
  Templates/rgtl_sqt_cell_geometry+3._-.cxx
  Templates/rgtl_sqt_cell_location+2-.cxx
  Templates/rgtl_sqt_cell_location+3-.cxx
  Templates/rgtl_sqt_objects+2-.cxx
  Templates/rgtl_sqt_objects+3-.cxx
  Templates/rgtl_sqt_space+2._-.cxx
  Templates/rgtl_sqt_space+3._-.cxx
  )

ADD_LIBRARY(rgtl ${rgtl_sources})
TARGET_LINK_LIBRARIES(rgtl vnl_algo vnl vcl)

INSTALL_TARGETS(/lib rgtl)
INSTALL_NOBASE_HEADER_FILES(/include/vxl/contrib/rpl/rgtl ${rgtl_sources})

IF(BUILD_TESTING)
  SUBDIRS(tests)
ENDIF(BUILD_TESTING)

=== contrib/rpl/rsdl/CMakeLists.txt ===
# rpl/rsdl/CMakeLists.txt

SET(rsdl_sources
 rsdl_fwd.h

 rsdl_bounding_box.cxx rsdl_bounding_box.h
 rsdl_dist.cxx         rsdl_dist.h
 rsdl_kd_tree.cxx      rsdl_kd_tree.h
                       rsdl_kd_tree_sptr.h
 rsdl_point.cxx        rsdl_point.h

 rsdl_bins_2d.txx      rsdl_bins_2d.h
 rsdl_borgefors.txx    rsdl_borgefors.h
 rsdl_bins.txx         rsdl_bins.h
)

AUX_SOURCE_DIRECTORY(Templates rsdl_sources)

IF(CMAKE_COMPILER_IS_GNUCXX)
  SET_SOURCE_FILES_PROPERTIES(Templates/rsdl_bins_2d+double.int-.cxx PROPERTIES COMPILE_FLAGS -O1)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

ADD_LIBRARY(rsdl ${rsdl_sources})
INSTALL_TARGETS(/lib rsdl)
INSTALL_NOBASE_HEADER_FILES(/include/vxl/contrib/rpl/rsdl ${rsdl_sources})
TARGET_LINK_LIBRARIES( rsdl vnl vbl )

IF (BUILD_TESTING)
  SUBDIRS(tests)
ENDIF (BUILD_TESTING)

=== core/examples/vnl_calc/CMakeLists.txt ===
ADD_EXECUTABLE( vnl_calc vnl_calc.cxx )
TARGET_LINK_LIBRARIES( vnl_calc vnl_algo vnl vcl )

=== core/vgl/algo/CMakeLists.txt ===
# vxl/vgl/algo/CMakeLists.txt

PROJECT(vgl_algo)


SET( vgl_algo_sources
  vgl_algo_fwd.h
  vgl_rtree.txx                            vgl_rtree.h
  vgl_orient_box_3d.txx                    vgl_orient_box_3d.h
  vgl_ellipsoid_3d.txx                     vgl_ellipsoid_3d.h
  vgl_homg_operators_1d.txx                vgl_homg_operators_1d.h
  vgl_homg_operators_2d.txx                vgl_homg_operators_2d.h
  vgl_homg_operators_3d.txx                vgl_homg_operators_3d.h
  vgl_h_matrix_1d.txx                      vgl_h_matrix_1d.h
  vgl_h_matrix_2d.txx                      vgl_h_matrix_2d.h
  vgl_h_matrix_3d.txx                      vgl_h_matrix_3d.h
  vgl_p_matrix.txx                         vgl_p_matrix.h
  vgl_norm_trans_2d.txx                    vgl_norm_trans_2d.h
  vgl_norm_trans_3d.txx                    vgl_norm_trans_3d.h
  vgl_compute_similarity_3d.txx            vgl_compute_similarity_3d.h
                                           vgl_h_matrix_1d_compute.h
  vgl_h_matrix_1d_compute_linear.cxx       vgl_h_matrix_1d_compute_linear.h
  vgl_h_matrix_1d_compute_3point.cxx       vgl_h_matrix_1d_compute_3point.h
  vgl_h_matrix_1d_compute_optimize.cxx     vgl_h_matrix_1d_compute_optimize.h
                                           vgl_h_matrix_2d_compute.h
  vgl_h_matrix_2d_compute_linear.cxx       vgl_h_matrix_2d_compute_linear.h
  vgl_h_matrix_2d_compute_4point.cxx       vgl_h_matrix_2d_compute_4point.h
  vgl_h_matrix_2d_compute_rigid_body.cxx   vgl_h_matrix_2d_compute_rigid_body.h
  vgl_line_2d_regression.txx               vgl_line_2d_regression.h
  vgl_fit_lines_2d.txx                     vgl_fit_lines_2d.h
  vgl_convex_hull_2d.txx                   vgl_convex_hull_2d.h
                                           vgl_h_matrix_2d_optimize.h
  vgl_h_matrix_2d_optimize_lmq.cxx         vgl_h_matrix_2d_optimize_lmq.h
  vgl_conic_2d_regression.txx              vgl_conic_2d_regression.h
  vgl_fit_conics_2d.txx                    vgl_fit_conics_2d.h
  vgl_fit_plane_3d.txx                     vgl_fit_plane_3d.h
  vgl_intersection.txx                     vgl_intersection.h
                                           vgl_rotation_3d.h
                                           vgl_rtree_c.h
  vgl_orient_box_3d_operators.txx          vgl_orient_box_3d_operators.h
                                           vgl_h_matrix_3d_compute.h
  vgl_h_matrix_3d_compute_linear.cxx       vgl_h_matrix_3d_compute_linear.h
)
AUX_SOURCE_DIRECTORY(Templates vgl_algo_sources)

ADD_LIBRARY(vgl_algo ${vgl_algo_sources})
TARGET_LINK_LIBRARIES( vgl_algo vgl vnl_algo vnl )

INSTALL_TARGETS(/lib vgl_algo)
INSTALL_NOBASE_HEADER_FILES(/include/vxl/core/vgl/algo ${vgl_algo_sources})

IF( BUILD_TESTING )
  SUBDIRS(tests)
ENDIF( BUILD_TESTING )

=== core/vgl/io/CMakeLists.txt ===
# vxl/vgl/io/CMakeLists.txt

SET(vgl_io_sources
  vgl_io_polygon.cxx vgl_io_polygon.h

  vgl_io_box_2d.txx vgl_io_box_2d.h
  vgl_io_box_3d.txx vgl_io_box_3d.h
  vgl_io_conic.txx vgl_io_conic.h
  vgl_io_homg_line_2d.txx vgl_io_homg_line_2d.h
  vgl_io_homg_line_3d_2_points.txx vgl_io_homg_line_3d_2_points.h
  vgl_io_homg_plane_3d.txx vgl_io_homg_plane_3d.h
  vgl_io_homg_point_1d.txx vgl_io_homg_point_1d.h
  vgl_io_homg_point_2d.txx vgl_io_homg_point_2d.h
  vgl_io_homg_point_3d.txx vgl_io_homg_point_3d.h
  vgl_io_line_2d.txx vgl_io_line_2d.h
  vgl_io_line_3d_2_points.txx vgl_io_line_3d_2_points.h
  vgl_io_line_segment_2d.txx vgl_io_line_segment_2d.h
  vgl_io_line_segment_3d.txx vgl_io_line_segment_3d.h
  vgl_io_plane_3d.txx vgl_io_plane_3d.h
  vgl_io_point_2d.txx vgl_io_point_2d.h
  vgl_io_point_3d.txx vgl_io_point_3d.h
  vgl_io_vector_2d.txx vgl_io_vector_2d.h
  vgl_io_vector_3d.txx vgl_io_vector_3d.h
  vgl_io_cylinder.txx vgl_io_cylinder.h
  vgl_io_infinite_line_3d.txx vgl_io_infinite_line_3d.h
  vgl_io_h_matrix_2d.txx vgl_io_h_matrix_2d.h
)

AUX_SOURCE_DIRECTORY(Templates vgl_io_sources)

ADD_LIBRARY(vgl_io ${vgl_io_sources})
TARGET_LINK_LIBRARIES( vgl_io vgl vsl )

INSTALL_TARGETS(/lib vgl_io)
INSTALL_NOBASE_HEADER_FILES(/include/vxl/core/vgl/io ${vgl_io_sources})

IF( BUILD_TESTING)
  SUBDIRS(tests)
ENDIF( BUILD_TESTING)

=== contrib/brl/bbas/brad/CMakeLists.txt ===
# basic radiometery library

  INCLUDE_DIRECTORIES( ${BRL_INCLUDE_DIR}/bbas )

  SET(brad_sources
      brad_illum_util.h               brad_illum_util.cxx
      brad_illum_cost_function.h
      brad_sun_pos.h                  brad_sun_pos.cxx
      brad_sun_dir_index.h            brad_sun_dir_index.cxx
      brad_hist_prob_feature_vector.h brad_hist_prob_feature_vector.cxx
      brad_grad_hist_feature_vector.h brad_grad_hist_feature_vector.cxx
      brad_grad_int_feature_vector.h  brad_grad_int_feature_vector.cxx
      brad_eigenspace.h               brad_eigenspace.txx
      brad_eigenspace_base.h          brad_eigenspace_base.cxx
      brad_eigenspace_sptr.h
      brad_phongs_model_est.h         brad_phongs_model_est.cxx
      brad_synoptic_function_1d.h     brad_synoptic_function_1d.cxx
      brad_image_metadata.h           brad_image_metadata.cxx
      brad_atmospheric_parameters.h   brad_atmospheric_parameters.cxx 
      brad_image_atmospherics_est.h   brad_image_atmospherics_est.cxx
      brad_estimate_shadows.h         brad_estimate_shadows.cxx
     )
  AUX_SOURCE_DIRECTORY(Templates brad_sources)
  ADD_LIBRARY(brad ${brad_sources} )

  TARGET_LINK_LIBRARIES(brad  bsta vnl_io vnl vgl_algo vnl_algo vgl vil vpgl vpgl_algo vbl_io vbl vpl vul )
  
  SUBDIRS(io)

#tests
IF( BUILD_TESTING )
  SUBDIRS(tests)
ENDIF( BUILD_TESTING )

INSTALL_TARGETS(/lib brad)
INSTALL_NOBASE_HEADER_FILES(/include/vxl/contrib/brl/bbas/brad ${brad_sources})

=== debian/changelog ===
vxl (1.17.0.dfsg-1) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Remove self from uploaders

  [ Andreas Tille ]
  * cme fix dpkg-control
  * d/copyright: Remove unused compressed JS
  * d/rules: adapt get-orig-source to deal with JS removal
  * d/watch: add '.dfsg' (note: '+dfsg' does not work since vxl refuses
    to build if a '+' sign is in the path)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Aug 2014 17:05:35 +0200

vxl (1.17.0-8.1) experimental; urgency=low

  * Non-maintainer upload.
  * Compile against libav10, patch provided by anton@khirnov.net
    (Closes: #739457)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Mar 2014 22:39:17 -0400

=== debian/control ===
Source: vxl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               freeglut3-dev,
               libavcodec-dev (>= 6:10~),
               libavformat-dev (>= 6:10~),
               libavifile-0.7-dev,
               libbz2-dev,
               libcoin80-dev,
               libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libdcmtk2-dev,
               libexpat-dev,
               libgeotiff-dev,
               libtiff-dev,
               libglu-dev,
               libjpeg-dev,
               libmpeg2-4-dev,
               libpng-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libshp-dev,
               libswscale-dev (>= 6:10~),
               libxerces-c-dev,
               ocl-icd-opencl-dev,
               opencl-headers,
               python-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vxl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/vxl/trunk/
Homepage: http://vxl.sf.net
X-Python-Version: 2.7

Package: libvxl1.17
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ Libraries for Computer Vision Research
 VXL (the Vision-something-Libraries) is a collection of C++ libraries
 designed for computer vision research and implementation. It was created
 from TargetJr and the IUE with the aim of making a light, fast and
 consistent system. VXL is written in ANSI/ISO C++ and is designed to be
 portable over many platforms.

Package: libvxl1-dev
Architecture: any
Section: libdevel
Depends: libvxl1.17 (= ${binary:Version}),
         ${misc:Depends}
Provides: libvxl-dev
Description: C++ Libraries for Computer Vision Research (development files)
 VXL (the Vision-something-Libraries) is a collection of C++ libraries
 designed for computer vision research and implementation. It was created
 from TargetJr and the IUE with the aim of making a light, fast and
 consistent system. VXL is written in ANSI/ISO C++ and is designed to be
 portable over many platforms.
 .
 This package contains the development files needed to build your own
 VXL applications.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# http://bugs.debian.org/718047
# -> debian-release team blessing: http://bugs.debian.org/728574#18
ifneq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU ), ia64)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
endif

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
SOVERSION = $(shell echo $(VER_FULL) | cut -f1-2 -d.)
VER_MAJOR = $(shell echo $(VER_FULL) | cut -f1   -d.)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

UPSTREAM_SRC = vxl-$(VER_FULL)
DEBIAN_SRC_DIR = vxl-$(VER_FULL)
DEBIAN_SRC_TAR = vxl_$(VER_FULL).orig.tar.gz

PYTHON_INCLUDE_DIRS=$(shell python-config --includes | cut -f1 -d' '|cut -c3-)
PYTHON_INCLUDE_DIR="$(PYTHON_INCLUDE_DIRS)"
# See bug #709181
PYTHON_INCLUDE_DIRS2=$(shell python-config --includes | cut -f2 -d' '|cut -c3-)
PYTHON_INCLUDE_DIR2="$(PYTHON_INCLUDE_DIRS2)"
PYTHON_CONFIG_DIR=$(shell python-config --configdir)
PYTHON_LIBRARY="$(PYTHON_CONFIG_DIR)/libpython2.7.so"

# CMAKE_SKIP_RPATH=OFF is required when BUILD_TESTING=ON
# Do not set CMAKE_BUILD_TYPE / http://bugs.debian.org/711515
CMAKE_EXTRA_FLAGS = \
	-DCMAKE_INSTALL_PREFIX:PATH=/usr \
	-DCMAKE_BUILD_TYPE:STRING="" \
	-DCMAKE_SKIP_RPATH:BOOL=OFF \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DAVIFILE_INCLUDE_DIR:PATH=/usr/include/avifile-0.7 \
	-DVXL_USING_NATIVE_ZLIB:BOOL=ON \
	-DVXL_USING_NATIVE_JPEG:BOOL=ON \
	-DVXL_USING_NATIVE_BZLIB2:BOOL=ON \
	-DVXL_USING_NATIVE_MPEG2:BOOL=ON \
	-DVXL_USING_NATIVE_PNG:BOOL=ON \
	-DVXL_USING_NATIVE_TIFF:BOOL=ON \
	-DVXL_USING_NATIVE_SHAPELIB:BOOL=ON \
	-DVXL_USING_NATIVE_GEOTIFF:BOOL=ON \
	-DVXL_USING_NATIVE_EXPAT:BOOL=ON \
	-DBUILD_VGUI:BOOL=ON \
	-DBUILD_BGUI3D:BOOL=ON \
	-DVXL_BUILD_DCMTK:BOOL=ON \
	-DBUILD_OXL:BOOL=ON \
	-DBUILD_CORE_GEOMETRY:BOOL=ON \
	-DBUILD_CORE_IMAGING:BOOL=ON \
	-DBUILD_CORE_NUMERICS:BOOL=ON \
	-DBUILD_CORE_PROBABILITY:BOOL=ON \
	-DBUILD_CORE_SERIALISATION:BOOL=ON \
	-DBUILD_CORE_UTILITIES:BOOL=ON \
	-DBUILD_CORE_VIDEO:BOOL=ON \
	-DBUILD_EXAMPLES:BOOL=OFF \
	-DPYTHON_INCLUDE_DIR=$(PYTHON_INCLUDE_DIR) \
	-DPYTHON_INCLUDE_DIR2=$(PYTHON_INCLUDE_DIR2) \
	-DPYTHON_LIBRARY=$(PYTHON_LIBRARY) \
	-DBUILD_TESTING:BOOL=ON

pkg_lib = libvxl$(SOVERSION)
pkg_dev = libvxl$(VER_MAJOR)-dev
#pkg_examples = vxl$(VER_MAJOR)-examples

%:
	dh $@ --buildsystem=cmake --parallel --with python2

override_dh_auto_configure:
	# remove duplicate from boxm_block+boct_tree+short.vnl_vector_fixed+float
	rm -f $(CURDIR)/contrib/brl/bseg/boxm/pro/Templates/boxm_scene+boct_tree+short.vnl_vector_fixed+float.3---.cxx
	dh_auto_configure # See bug: 708131
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_lintian:
	echo "$(pkg_lib): package-name-doesnt-match-sonames" > debian/$(pkg_lib).lintian-overrides
	dh_lintian

override_dh_install:
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/lib*.so usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/vxl/cmake/*.cmake 

# too many tests failure, with erratic behavior
# http://bugs.debian.org/671601
override_dh_auto_test:
	dh_auto_test || true

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3
# note: '+dfsg' does not work since vxl refuses to build if a '+' sign is in the path
# see https://lists.debian.org/debian-med/2014/08/msg00087.html
opts="uversionmangle=s/$/.dfsg/" \
  http://sf.net/vxl/vxl-([\d\.]+)\.tar.gz
